DependencyConstraintHandler (Gradle API 4.9)
Date: 2018-07-16

org.gradle.api.artifacts.dsl

## Interface DependencyConstraintHandler

-     @Incubating
      public interface DependencyConstraintHandler

  A `DependencyConstraintHandler` is used to declare dependency constraints.

  Since:
    4.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencyConstraint` | `add(String configurationName, Object dependencyConstraintNotation)` Adds a dependency constraint to the given configuration.
    `DependencyConstraint` | `add(String configurationName, Object dependencyNotation, Action<? super DependencyConstraint> configureAction)` Adds a dependency constraint to the given configuration, and configures the dependency constraint using the given closure.
    `DependencyConstraint` | `create(Object dependencyConstraintNotation)` Creates a dependency constraint without adding it to a configuration.
    `DependencyConstraint` | `create(Object dependencyConstraintNotation, Action<? super DependencyConstraint> configureAction)` Creates a dependency constraint without adding it to a configuration, and configures the dependency constraint using the given closure.

- - ### Method Detail

    - #### add

          DependencyConstraint add(String configurationName,
                                   Object dependencyConstraintNotation)

      Adds a dependency constraint to the given configuration.
      Parameters:
        `configurationName` - The name of the configuration.
        `dependencyConstraintNotation` - the constraint

    - #### add

          DependencyConstraint add(String configurationName,
                                   Object dependencyNotation,
                                   Action<? super DependencyConstraint> configureAction)

      Adds a dependency constraint to the given configuration, and configures the dependency constraint using the given closure.
      Parameters:
        `configurationName` - The name of the configuration.
        `dependencyNotation` - The dependency constraint notation
        `configureAction` - The closure to use to configure the dependency constraint.

    - #### create

          DependencyConstraint create(Object dependencyConstraintNotation)

      Creates a dependency constraint without adding it to a configuration.
      Parameters:
        `dependencyConstraintNotation` - The dependency constraint notation.

    - #### create

          DependencyConstraint create(Object dependencyConstraintNotation,
                                      Action<? super DependencyConstraint> configureAction)

      Creates a dependency constraint without adding it to a configuration, and configures the dependency constraint using the given closure.
      Parameters:
        `dependencyConstraintNotation` - The dependency constraint notation.
        `configureAction` - The closure to use to configure the dependency.